TETRINET-CLIENT(6)

NAME
tetrinet-client - textmode client program for tetrinet

SYNOPSIS
tetrinet [-fancy] [-fast] [-log file] [-noshadow] [-noslide] [-slide] [-shadow] [-windows] nickname server

DESCRIPTION
tetrinet-client is a textmode client program for tetrinet, a networked version of tetris. You can play both on TetriFast server and on the original servers with it. Please notice that you need at least 50 lines to be able to play it.

OPTIONS
A summary of options is included below.

-fancy
    Use "fancy" TTY graphics. (Note that this will slow down redraws somewhat.)

-fast
    Use the "tetrifast" mode to connect to the server. This mode eliminates the delay before a new cube appears, thus speeding the game up noticeably. This mode is incompatible with the classic mode and the server has to support it. If in doubt, ask the other players.

-log file
    Log network traffic to the given file. All lines start with an absolute time (seconds) in brackets. Lines sent from the client to the server are prefixed with ">>>", and lines from the server to the client are prefixed with "<<<". This could be used with a utility program to replay a game later on (though such a program is not currently included in the Tetrinet distribution.)

-noshadow
    Do not make pieces cast "shadows" when they are slowly falling. (Normally the area under piece is filled by dim dots to help to determine where the piece would hit the ground if one would press the spacebar.)

-noslide
    Do not allow pieces to "slide" after being dropped with the spacebar. (Normally, there is a short time after pressing the spacebar during which a piece can "slide" left or right before it solidifies.)

-shadow
    Opposite of -noshadow; make the pieces cast "shadows". Can speed up gameplay considerably, but it can be considered as cheating by some people since some other tetrinet clients lack this.

-slide
    Opposite of -noslide; allows pieces to "slide" after being dropped. If both -slide and -noslide are given, -slide takes precedence. If both -windows and -slide are given, this overrides the "no sliding" part of -windows without affecting the other changes in program behavior.

-windows
    Behave as much like the Windows version of Tetrinet as possible. Implies -noslide and -noshadow.

USAGE
When you start tetrinet-client you will find yourself in the partyline. In here you can chat with the other players. With /help you will get the list of the server supported commands. You can switch between three screens with F1 through to F3.

With /start you can start a game (if you are in position one). You will have to switch over to the Fields with the F1 key, an automatic switch over on game start is planed. To pause a running game you have to enter /pause in the partyline. To restart the game you enter /unpause.

With the cursor keys left and right you can move the stones, with cursor up you turn the stones clockwise, with cursor down you pull the stones to the bottom, and with space you drop them. You have to fill the lines completely, because complete lines will get removed from the display. The more lines you can eliminate with a single stone the better. If the play room supports specials you will eventually see a list of letters below your playfield that you can use with the number keys from 1 to 6 for the corresponding playfield. If you want to get rid of a special, drop it with d. You can also chat in the playfield, to open the chat box press t (for talk.) That's it, more or less.

AUTHOR
This manual page was written by Gerfried Fuchs <alfie@ist.org>.

SEE ALSO
tetrinet-server(6).